## php.java.script
Class PhpScriptLogWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              php.java.script.PhpScriptWriter
                  php.java.script.PhpScriptLogWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class PhpScriptLogWriter

extends PhpScriptWriter

A PrintWriter which uses the JavaBridge logger.

Constructor Summary
`PhpScriptLogWriter()`

Method Summary

Methods inherited from class php.java.script.PhpScriptWriter
`getOutputStream`

Methods inherited from class java.io.PrintWriter
`append, append, append, checkError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, write, write, write, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpScriptLogWriter

    public PhpScriptLogWriter()